/*
p4prob.c  Version 0.2.0 Print Illinois Pick 4 Odds
Copyright (C) 2002-2005  dondalah@ripco.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

	Free Software Foundation, Inc.
	59 Temple Place - Suite 330
	Boston, MA  02111-1307, USA.
*/

/*
Subroutine call:
    	int option;
    	double odds;
    	double getp4(int option);
    	odds = getp4(option);
*/

/* See pick4.h for options */

#include <stdio.h>
#include <math.h>
#include "pick4.h"

int main()
   {
   double odds;
   double kodds;

   printf("             Illinois Pick 4\n");
   printf("                        ");
   printf("Odds      10000/Odds\n");
   printf("                        ");
   printf("----      ----------\n");
   odds = getp4(STRAIGHT);
   kodds = 10000.0 / odds;
   printf("Straight     %15.1f %15.1f\n", odds, kodds);
   odds = getp4(BOX);
   kodds = 10000.0 / odds;
   printf("Box          %15.1f %15.1f\n", odds, kodds);
   odds = getp4(STRAIGHT);
   kodds = 10000.0 / odds;
   printf("Str/bx exact %15.1f %15.1f\n", odds, kodds);
   odds = getp4(BOX);
   kodds = 10000.0 / odds;
   printf("Str/bx any   %15.1f %15.1f\n", odds, kodds);
   return(0);
   } /* main */
